Bug 558027 - [abrt] crash in firefox-3.5.6-1.fc12
[abrt] crash in firefox-3.5.6-1.fc12
Status: CLOSED DUPLICATE of bug 544939
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:587f7d241e13d134a448f5b325a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-23 04:15 EST by Richard Vrsnik
Modified: 2010-05-01 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-01 15:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.42 KB, text/plain)
2010-01-23 04:15 EST, Richard Vrsnik
no flags Details

  None (edit)
Description Richard Vrsnik 2010-01-23 04:15:32 EST
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.6/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.6/firefox
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 Richard Vrsnik 2010-01-23 04:15:35 EST
Created attachment 386299 [details]
File: backtrace
Comment 2 Chris Campbell 2010-01-23 08:52:28 EST
#2  <signal handler called>
No symbol table info available.
#3  0x0000003e7567d433 in nsXPConnect::Traverse (this=<value optimized out>, 
    p=0x7f4539c29480, cb=...) at nsXPConnect.cpp:745
        traceKind = 0
        obj = 0x7f4539c29480
        type = <value optimized out>
        trc = {<JSTracer> = {context = 0x7f453f54e400, 
            callback = 0x3e7567d371 <NoteJSChild(JSTracer*, void*, uint32)>}, 
          cb = @0x7fffbe1dff00}
        clazz = 0x3feb0c2aa0
        dontTraverse = 0
        markJSObject = 0
#4  0x0000003e75ecb61d in GCGraphBuilder::Traverse (this=0x2, 
    aPtrInfo=0x7f453450b700) at nsCycleCollector.cpp:1372
        rv = <value optimized out>
#5  0x0000003e75ecb697 in nsCycleCollector::MarkRoots (
    this=<value optimized out>, builder=...) at nsCycleCollector.cpp:1571
        pi = <value optimized out>




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-01-23 08:57:04 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command, saved in a text file and attached to this bug:

$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install debuginfo for Firefox.

# debuginfo-install firefox

Then run firefox inside the gdb debugger. Please do the following:

$ firefox -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

(gdb) run

Now, firefox should start up. Use it and reproduce the crash. When firefox crashes, you should be back to the gdb prompt. Now do:

(gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance, for your extra efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2010-04-09 21:52:04 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-05-01 15:09:20 EDT
Thank you for taking the time to submit this bug report.

This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 544939 ***

Note You need to log in before you can comment on or make changes to this bug.